import { Component } from '@angular/core';
import { MatDialogActions, MatDialogClose, MatDialogContent, MatDialogTitle, MAT_DIALOG_DATA, MatDialogRef } from "@angular/material/dialog";
import {JsonPipe} from "@angular/common";
import {Observable} from "rxjs";
import {MatFormField, MatLabel} from "@angular/material/form-field";
import {FormControl, FormGroup, ReactiveFormsModule} from "@angular/forms";
import {MatIconModule} from '@angular/material/icon';
import {MatDividerModule} from '@angular/material/divider';
import {MatButtonModule} from '@angular/material/button';
import {MatTableModule} from "@angular/material/table";

@Component({
  selector: 'app-confirmar-eliminacion',
  imports: [
    MatDialogActions,
    MatDialogClose,
    MatDialogContent,
    JsonPipe,
    MatLabel,
    ReactiveFormsModule,
    MatFormField,
    MatDialogTitle,
    MatTableModule,
    MatButtonModule,
    MatDividerModule,
    MatIconModule,
  ],
  standalone: true,
  template: `
    <h1 mat-dialog-title>Confirmar eliminación de articulo</h1>
    <div mat-dialog-content>
      <p>¿Estás seguro de que deseas quitar este artículo de la lista?</p>
    </div>
    <div mat-dialog-actions>
      <button mat-button (click)="onCancelar()">Cancelar</button>
      <button mat-button color="warn" (click)="onConfirmar()">Eliminar</button>
    </div>
  `
})
export class ConfirmarEliminacionComponent {
  constructor(public dialogRef: MatDialogRef<ConfirmarEliminacionComponent>) {}

  onCancelar(): void {
    this.dialogRef.close(false);
  }

  onConfirmar(): void {
    this.dialogRef.close(true);
  }
}
