import {Component, ElementRef, Inject, OnInit, ViewChild} from '@angular/core';
import {provideNativeDateAdapter} from '@angular/material/core';
import {MatTableModule} from '@angular/material/table';
import { MatDialogActions, MatDialogClose, MatDialogContent, MatDialogTitle, MAT_DIALOG_DATA, MatDialogRef } from "@angular/material/dialog";
import {JsonPipe} from "@angular/common";
import {Observable} from "rxjs";
import {MatFormField, MatLabel} from "@angular/material/form-field";
import {FormControl, FormGroup, ReactiveFormsModule} from "@angular/forms";
import {MatIconModule} from '@angular/material/icon';
import {MatDividerModule} from '@angular/material/divider';
import {MatButtonModule} from '@angular/material/button';
import {MatCard, MatCardContent} from "@angular/material/card";

export interface interDetalleRequerimiento {
  posicion: string;
  nombre : string;
  unidad: string;
  cantidad: number;
}

@Component({
  selector: 'app-modalRequerimiento',
  standalone: true,
  providers: [provideNativeDateAdapter()],
  templateUrl: './modalRequerimiento.componente.html',
  styleUrls: ['./modalRequerimiento.componente.css'],
  imports: [
    MatDialogActions,
    MatDialogClose,
    MatDialogContent,
    JsonPipe,
    MatLabel,
    ReactiveFormsModule,
    MatFormField,
    MatDialogTitle,
    MatTableModule,
    MatButtonModule,
    MatDividerModule,
    MatIconModule,
    MatCard,
    MatCardContent,
  ]
})

export class modalRequerimientoComponent{

  detalleRequerimiento: any;
  columnasArticulos: string[] = ['posicion', 'nombre', 'unidad', 'cantidad'];
  dataSource: interDetalleRequerimiento[] = [];

  constructor(@Inject(MAT_DIALOG_DATA) public data: any) {

    const datosPrincipales = data.requerimientoInfo?.map((item: any) => {
      return {
        numeroDoc : item.numeroDoc,
        descripcion : item.descripcion,
        observacion : item.observacion,
        empleado : item.empleado,
        sede : item.nombreSede,
        posicion: item.numeral,
        nombre: item.producto,
        unidad: item.codUnidad,
        cantidad: item.cantidad,
        tipoRequerimiento : item.descTipoReq,
        fechaRegistro : item.fechaRegistro
      }
    }) || [];

    if(datosPrincipales[0]){
      //Obtener los valores de descripcion, observacion, sede y empleado por separado y en un solo objeto

      this.detalleRequerimiento = {
        numeroDoc : datosPrincipales[0].numeroDoc,
        tipoRequerimiento : datosPrincipales[0].tipoRequerimiento,
        descripcion : datosPrincipales[0].descripcion,
        observacion : datosPrincipales[0].observacion,
        empleado : datosPrincipales[0].empleado,
        sede : datosPrincipales[0].sede
      }

      this.dataSource = datosPrincipales;
    }
  }
}
