import { Directive ,HostListener , Input   } from '@angular/core';

@Directive({
  selector: '[soloNumeros]',
  standalone: true
})

export class SoloNumerosDirective {

  @Input() soloNumeros?: 'decimal' | 'entero';

  //constructor() { }
  @HostListener('keypress', ['$event'])
  onKeyPress(event: KeyboardEvent) {

    const charCode = event.key;

    if (this.soloNumeros === 'entero') {
      // Permitir solo números enteros (0-9)
      if (!/^[0-9]*$/.test(charCode)) {
        event.preventDefault();
      }
    } else if (this.soloNumeros === 'decimal') {
      if (!/^[0-9.]*$/.test(charCode)) {
        event.preventDefault();
      }
    } else {
      if (!/^[0-9]*$/.test(charCode)) {
        event.preventDefault();
      }
    }

  }
}
